Uses of Class
io.vertx.mutiny.core.http.HttpClientRequest
Packages that use HttpClientRequest
-
Uses of HttpClientRequest in io.vertx.mutiny.core.http
Fields in io.vertx.mutiny.core.http with type parameters of type HttpClientRequestModifier and TypeFieldDescriptionstatic final TypeArg<HttpClientRequest>HttpClientRequest.__TYPE_ARGMethods in io.vertx.mutiny.core.http that return HttpClientRequestModifier and TypeMethodDescriptionHttpClientRequest.authority(io.vertx.core.net.HostAndPort authority) Override the request authority initially set by the client.HttpClientRequest.cancelAndForget()Attempt to cancel the request according to the semantics of the underlying HTTP implementation.HttpClientRequest.connectAndForget()Create an HTTP tunnel to the server.HttpClientRequest.continueHandler(Runnable handler) If you send an HTTP request with the headerExpectset to the value100-continueand the server responds with an interim HTTP response with a status code of100and a Continue handler has been set using this method, then thehandlerwill be called.HttpClientRequest.drainHandler(Runnable handler) HttpClientRequest.earlyHintsHandler(Consumer<io.vertx.core.MultiMap> handler) If the server responds with an interim HTTP response with a status code of103and a Early Hints handler has been set using this method, then thehandlerwill be called.HttpClientRequest.endAndForget()Ends the request.HttpClientRequest.endAndForget(io.vertx.core.buffer.Buffer chunk) Same asend()but writes some data to the request body before ending.HttpClientRequest.endAndForget(String chunk) Same asend(Buffer)but writes a String in UTF-8 encodingHttpClientRequest.endAndForget(String chunk, String enc) Same asend(Buffer)but writes a String with the specified encodingHttpClientRequest.exceptionHandler(Consumer<Throwable> handler) HttpClientRequest.idleTimeout(long timeout) Sets the amount of time after which, if the request does not return any data within the timeout period, the request/response is closed and the related futures are failed with aTimeoutException, e.g.static HttpClientRequestHttpClientRequest.newInstance(io.vertx.core.http.HttpClientRequest delegate) Creates a new instance of theHttpClientRequest.HttpClientRequest.pushHandler(Consumer<HttpClientRequest> handler) Set a push handler for this request.HttpClientRequest.putHeader(CharSequence name, CharSequence value) LikeputHeader(String, String)but using CharSequenceHttpClientRequest.putHeader(CharSequence name, Iterable<CharSequence> values) LikeputHeader(String, Iterable)but using CharSequencePut an HTTP header with multiple valuesPut an HTTP headerHttpClientRequest.redirectHandler(Function<HttpClientResponse, io.smallrye.mutiny.Uni<HttpClientRequest>> handler) HttpClientResponse.request()HttpClient.HttpClientImpl.requestAndAwait()Create an HTTP request to send to the server with the default host and port of the client.HttpClient.HttpClientImpl.requestAndAwait(io.vertx.core.http.HttpMethod method, int port, String host, String requestURI) Create an HTTP request to send to the server at thehostandport.HttpClient.HttpClientImpl.requestAndAwait(io.vertx.core.http.HttpMethod method, String requestURI) Create an HTTP request to send to the server at the default host and port.HttpClient.HttpClientImpl.requestAndAwait(io.vertx.core.http.HttpMethod method, String host, String requestURI) Create an HTTP request to send to the server at thehostand default port.HttpClient.HttpClientImpl.requestAndAwait(io.vertx.core.http.RequestOptions options) Create an HTTP request to send to the server.HttpClientAgent.requestAndAwait()Create an HTTP request to send to the server with the default host and port of the client.HttpClientAgent.requestAndAwait(io.vertx.core.http.HttpMethod arg0, int arg1, String arg2, String arg3) Create an HTTP request to send to the server at thehostandport.HttpClientAgent.requestAndAwait(io.vertx.core.http.HttpMethod arg0, String arg1) Create an HTTP request to send to the server at the default host and port.HttpClientAgent.requestAndAwait(io.vertx.core.http.HttpMethod arg0, String arg1, String arg2) Create an HTTP request to send to the server at thehostand default port.HttpClientAgent.requestAndAwait(io.vertx.core.http.RequestOptions arg0) Create an HTTP request to send to the server.HttpClientConnection.requestAndAwait()Create an HTTP request to send to the server with the default host and port of the client.HttpClientConnection.requestAndAwait(io.vertx.core.http.HttpMethod arg0, int arg1, String arg2, String arg3) Create an HTTP request to send to the server at thehostandport.HttpClientConnection.requestAndAwait(io.vertx.core.http.HttpMethod arg0, String arg1) Create an HTTP request to send to the server at the default host and port.HttpClientConnection.requestAndAwait(io.vertx.core.http.HttpMethod arg0, String arg1, String arg2) Create an HTTP request to send to the server at thehostand default port.HttpClientConnection.requestAndAwait(io.vertx.core.http.RequestOptions arg0) Create an HTTP request to send to the server.HttpClientRequest.resetAndForget()Reset this stream with the error code0.HttpClientRequest.resetAndForget(long code) Reset this request:HttpClientRequest.resetAndForget(long code, Throwable cause) Reset this request:HttpClientRequest.responseAndForget()Unlike the bare Vert.x variant, this method ignores theHttpClientResponseresult or any failure.HttpClientRequest.sendAndForget()Send the request with an empty body.HttpClientRequest.sendAndForget(io.vertx.core.buffer.Buffer body) Send the request with a bufferbody.HttpClientRequest.sendAndForget(io.vertx.core.http.ClientForm form) Likesend()but with aform.HttpClientRequest.sendAndForget(ReadStream<io.vertx.core.buffer.Buffer> body) Send the request with a streambody.HttpClientRequest.sendAndForget(String body) Send the request with a stringbody.HttpClientRequest.sendAndForget(Flow.Publisher<io.vertx.core.buffer.Buffer> body) Send the request with a streambody.HttpClientRequest.sendHeadAndForget()Deprecated.HttpClientRequest.setChunked(boolean chunked) If chunked is true then the request will be set into HTTP chunked modeHttpClientRequest.setFollowRedirects(boolean followRedirects) Set the request to follow HTTP redirects up toHttpClientOptions#getMaxRedirects().HttpClientRequest.setMaxRedirects(int maxRedirects) Set the max number of HTTP redirects this request will follow.HttpClientRequest.setMethod(io.vertx.core.http.HttpMethod method) Set the HTTP method for this request.HttpClientRequest.setStreamPriority(io.vertx.core.http.StreamPriority streamPriority) Sets the priority of the associated stream.Set the request uri.HttpClientRequest.setWriteQueueMaxSize(int maxSize) HttpClientRequest.traceOperation(String op) Set the trace operation of this request.HttpClientRequest.writeAndForget(io.vertx.core.buffer.Buffer arg0) Write some data to the stream.HttpClientRequest.writeAndForget(String chunk) Write aStringto the request body, encoded as UTF-8.HttpClientRequest.writeAndForget(String chunk, String enc) Write aStringto the request body, encoded using the encodingenc.HttpClientRequest.writeCustomFrameAndForget(int type, int flags, io.vertx.core.buffer.Buffer payload) Write an HTTP/2 frame to the request, allowing to extend the HTTP/2 protocol.HttpClientRequest.writeCustomFrameAndForget(io.vertx.core.http.HttpFrame frame) LikewriteCustomFrame(int, int, Buffer)but with anHttpFrame.HttpClientRequest.writeHeadAndForget()Write the head of the request.Methods in io.vertx.mutiny.core.http that return types with arguments of type HttpClientRequestModifier and TypeMethodDescriptionio.smallrye.mutiny.Uni<HttpClientRequest>HttpClient.HttpClientImpl.request()Create an HTTP request to send to the server with the default host and port of the client.io.smallrye.mutiny.Uni<HttpClientRequest>HttpClient.HttpClientImpl.request(io.vertx.core.http.HttpMethod method, int port, String host, String requestURI) Create an HTTP request to send to the server at thehostandport.io.smallrye.mutiny.Uni<HttpClientRequest>Create an HTTP request to send to the server at the default host and port.io.smallrye.mutiny.Uni<HttpClientRequest>HttpClient.HttpClientImpl.request(io.vertx.core.http.HttpMethod method, String host, String requestURI) Create an HTTP request to send to the server at thehostand default port.io.smallrye.mutiny.Uni<HttpClientRequest>HttpClient.HttpClientImpl.request(io.vertx.core.http.RequestOptions options) Create an HTTP request to send to the server.io.smallrye.mutiny.Uni<HttpClientRequest>HttpClient.request()Create an HTTP request to send to the server with the default host and port of the client.io.smallrye.mutiny.Uni<HttpClientRequest>Create an HTTP request to send to the server at thehostandport.io.smallrye.mutiny.Uni<HttpClientRequest>Create an HTTP request to send to the server at the default host and port.io.smallrye.mutiny.Uni<HttpClientRequest>Create an HTTP request to send to the server at thehostand default port.io.smallrye.mutiny.Uni<HttpClientRequest>HttpClient.request(io.vertx.core.http.RequestOptions options) Create an HTTP request to send to the server.io.smallrye.mutiny.Uni<HttpClientRequest>HttpClientAgent.request()Create an HTTP request to send to the server with the default host and port of the client.io.smallrye.mutiny.Uni<HttpClientRequest>Create an HTTP request to send to the server at thehostandport.io.smallrye.mutiny.Uni<HttpClientRequest>Create an HTTP request to send to the server at the default host and port.io.smallrye.mutiny.Uni<HttpClientRequest>Create an HTTP request to send to the server at thehostand default port.io.smallrye.mutiny.Uni<HttpClientRequest>HttpClientAgent.request(io.vertx.core.http.RequestOptions arg0) Create an HTTP request to send to the server.io.smallrye.mutiny.Uni<HttpClientRequest>HttpClientConnection.request()Create an HTTP request to send to the server with the default host and port of the client.io.smallrye.mutiny.Uni<HttpClientRequest>HttpClientConnection.request(io.vertx.core.http.HttpMethod arg0, int arg1, String arg2, String arg3) Create an HTTP request to send to the server at thehostandport.io.smallrye.mutiny.Uni<HttpClientRequest>Create an HTTP request to send to the server at the default host and port.io.smallrye.mutiny.Uni<HttpClientRequest>Create an HTTP request to send to the server at thehostand default port.io.smallrye.mutiny.Uni<HttpClientRequest>HttpClientConnection.request(io.vertx.core.http.RequestOptions arg0) Create an HTTP request to send to the server.Method parameters in io.vertx.mutiny.core.http with type arguments of type HttpClientRequestModifier and TypeMethodDescriptionHttpClientRequest.pushHandler(Consumer<HttpClientRequest> handler) Set a push handler for this request.HttpClientRequest.redirectHandler(Function<HttpClientResponse, io.smallrye.mutiny.Uni<HttpClientRequest>> handler) -
Uses of HttpClientRequest in io.vertx.mutiny.httpproxy
Methods in io.vertx.mutiny.httpproxy that return HttpClientRequestModifier and TypeMethodDescriptionOriginRequestProvider.createAndAwait(ProxyContext proxyContext) Create theHttpClientRequestto the origin server for a givenProxyContext.Methods in io.vertx.mutiny.httpproxy that return types with arguments of type HttpClientRequestModifier and TypeMethodDescriptionio.smallrye.mutiny.Uni<HttpClientRequest>OriginRequestProvider.create(ProxyContext proxyContext) Create theHttpClientRequestto the origin server for a givenProxyContext.Methods in io.vertx.mutiny.httpproxy with parameters of type HttpClientRequestModifier and TypeMethodDescriptionio.smallrye.mutiny.Uni<Void>ProxyRequest.proxy(HttpClientRequest request) Proxy this request to the origin server using the specifiedrequestand then send the proxy response.voidProxyRequest.proxyAndAwait(HttpClientRequest request) Proxy this request to the origin server using the specifiedrequestand then send the proxy response.ProxyRequest.proxyAndForget(HttpClientRequest request) Proxy this request to the origin server using the specifiedrequestand then send the proxy response.io.smallrye.mutiny.Uni<ProxyResponse>ProxyRequest.send(HttpClientRequest request) Send this request to the origin server using the specifiedrequest.ProxyRequest.sendAndAwait(HttpClientRequest request) Send this request to the origin server using the specifiedrequest.ProxyRequest.sendAndForget(HttpClientRequest request) Send this request to the origin server using the specifiedrequest.
writeHead(), this is scheduled for removal in Vert.x 6